<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 29/7/2018
 * Time: 7:11 AM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_gasto']) && isset($_REQUEST['id_cuota']) && isset($_REQUEST['id_usuario'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $cuotagasto = R::dispense('cuotagasto');
            $cuotagasto->id_cuota = $_REQUEST['id_cuota'];
            $cuotagasto->id_gasto = $_REQUEST['id_gasto'];
            $cuotagasto->id_usuario = $_REQUEST['id_usuario'];
            $cuotagasto->id_autor = $creadoPor;
            $cuotagasto->fechaRegistro = date('Y-m-d H:i:s');
            $cuotagasto->fechaModificacion = date('Y-m-d H:i:s');
            $cuotagasto->estado = 1;
            $id = R::store($cuotagasto);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}